package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.controller;

import com.dragoninfo.dcuc.auth.api.vo.zerotrust.ZeroTrustMessageRespVO;
import com.dragoninfo.dcuc.auth.auth.facade.IApprovalFacade;
import com.dragoninfo.dcuc.auth.auth.vo.zerotrust.approval.ApprovalCallBackReqVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
@RequestMapping(value = "api/auth-service/v1/approval")
public class ApprovalApiController {
    @Autowired
    private IApprovalFacade iApprovalFacade;

    @PostMapping("call-back")
    public ZeroTrustMessageRespVO approvalCallBack(@Valid @RequestBody ApprovalCallBackReqVO approvalCallBackReqVO) {
        return iApprovalFacade.callBack(approvalCallBackReqVO);
    }

}
